Skip to main content
POST
Approve a knowledge proposal

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

proposal_id
string
required

Body

application/json
reviewed_by
string
required

User performing the review

review_notes
string | null

Optional reviewer notes

Response

Successful Response

id
string<uuid>
required

Proposal ID

created_at
string<date-time>
required

When this proposal was created

action
enum<string>
required

Create, revise, or archive

Available options:
archive,
create,
revise
status
enum<string>
required

Pending, approved, or rejected

Available options:
pending,
approved,
rejected
title
string
required

Proposed article title

article_id
string<uuid> | null

Target article

content
string | null

Proposed article content

customer_id
string | null

Proposed customer scope

description
string | null

Proposed article description

collection
enum<string> | null

Proposed collection

Available options:
cash_application,
collections,
company,
credit_risk,
deductions,
disputes,
payments
extraction_id
string<uuid> | null

Extraction job that produced this

knowledge_type
enum<string> | null

Proposed knowledge type

Available options:
declarative,
document,
procedural
review_notes
string | null

Reviewer's notes

reviewed_at
string<date-time> | null

When reviewed

reviewed_by
string | null

User who reviewed

segment_id
string | null

Proposed segment scope

source_excerpts
SourceExcerpt · object[] | null

Verbatim excerpts from the source

stale
boolean
default:false

True when target article was modified after proposal creation